Subject: mod-0.6 released
From: [email-masked] (Mikael Nordqvist)
Date: Mon, 17 Oct 1994 15:48:35 GMT
Newsgroups: comp.os.linux.announce

'mod' is a program that is used to play music stored in various
module-formats. Only the Gravis Ultrasound (and MAX) is supported
at the moment. This should change in the next couple of weeks/months.

NOTE:
-----
This release requires at least version 3.0 of the VoxWare sounddriver
(or as it isn't available yet, ALPHA-version 2.99 from 940911 or later
will do). Note that you need kernel-version 1.1.48 or above for this
version of VoxWare (and the VoxWare in 1.1.xx won't do the job). Don't
we all hate how this upgrading-spiral seems to go on for ever and ever
:-(

If you have an earlier version it WILL NOT work. 'mod' depends on some
important fixes to the sequencer-drivers (specifically the addition of
non-blocking IO and a bugfixed select()).

This ALPHA-version is available at:

ftp.funet.fi:/pub/Linux/ALPHA/sound/v3.0-proto-940911.tar.gz

(this directory is hidden, so you won't see it until you 'cd' to it)

This is ALPHA software, so you are on your own (though I should
mention that I've been using the above version for more than a month
and it has caused me no problems whatsoever).

You will also need ncurses installed. I used version 1.8.5, so I won't
guarantee it will work with other versions (but try it with whatever
version you have installed - the worst thing that can happen is a
messed up screen).
-----

Changes from the previously released version 0.1 seven months ago are
way too numerous to mention here (code about than tripled in size).
See the included CHANGES for details.

The most important new features would be the interactive interface
(ncurses-based) and support for different moduleformats and packed
files.

Currently there is support for the following formats:

* MOD, Amiga Protracker 3.0 and similar (15/31 instrument, up to 32 voices)
* MTM, Multitracker 1.01a
* ULT, Ultratracker 1.60
* S3M, Scream Tracker 3.01 beta

Virtually all effects are implemented. The exceptions mostly being
effects that are not feasible to implement under VoxWare (the sample-
modifying ones). See the included manualpage for more information.

Modules may be compressed with (if the corresponding unpackers are installed
on your system):

* compress/gzip
* lha/lharc
* zip
* arj

This means you can get files from your favorite ftp-size/BBS and play
directly without unpacking. It doesn't matter if the archives contains
small files like copyright-notices and such; mod will pick the right
one.

'mod' can be found at (when it's been moved from incoming/upload):

sunsite.unc.edu:/pub/Linux/apps/sound/mod-0.6.tgz
ftp.funet.fi:/pub/OS/Linux/util/sound/mod-0.6.tgz

The archive is about 65k.

Please send me any feedback you might have, good or bad. I am especially
interested if you know of a module that plays incorrectly (if you don't
tell me, chances are I'll never find out).

Enjoy!

/Mikael

--
Send submissions for comp.os.linux.announce to: [email-masked]
Be sure to include Keywords: and a short description of your software.